Dot point in python script Rhino 7

I’m trying to place a dot Point on the screen with a specified size, just missing the operator’s click.
The problem is that I am not able to put a text value = “”.
I need a dot point without any text. A round dot on screen.

I’m using:

rs.Command("_-Dot _h 100, False)

Thanks

Maybe something like this will help:

import rhinoscriptsyntax as rs
import scriptcontext as sc
import Rhino

ht=100.0
pt=rs.GetPoint()

td=Rhino.Geometry.TextDot("",pt)
td.FontHeight=ht
sc.doc.Objects.AddTextDot(td)
sc.doc.Views.Redraw

I need to look the dot during insertion.
I will try to enter the ASCII character 32 to simulate " ".

Thanks

Don’t worked.

are you referring to Rhino Dot? or the non ASCII dot like this ●

This seems to work:

rs.Command("_-Dot _Height 100 "+chr(34)+chr(34), False)

1 Like

yeah both of your scripts works

Dot element in Rhino

Perfect!!!
Thanks!!!